### Method

# Gimp Layer scale

#### Declaration [src]

    gboolean
    gimp_layer_scale (
      GimpLayer* layer,
      gint new_width,
      gint new_height,
      gboolean local_origin
    )

#### Description [src]

Scale the layer using the default interpolation method.

This procedure scales the layer so that its new width and height are equal to the supplied parameters. The ‘local-origin’ parameter specifies whether to scale from the center of the layer, or from the image origin. This operation only works if the layer has been added to an image. The interpolation method used can be set with gimp_context_set_interpolation().

#### Parameters

`new_width`

  Type: `gint`

  New layer width.

`new_height`

  Type: `gint`

  New layer height.

`local_origin`

  Type: `gboolean`

  Use a local origin (as opposed to the image origin).

#### Return value

Type: `gboolean`

TRUE on success.